
//*********************************************************
//
//  UNIT:     G r 3 2 _ A b o u t           4.July 2005
//
//  about information window of graphics32 application
//
//*********************************************************
unit Gr32_About;

interface

uses Forms, Windows, ExtCtrls, Controls, StdCtrls, Classes,
     Graphics, Dialogs, ComCtrls, jpeg;

type
  TAboutForm = class(TForm)
    LabelAboutTitle: TLabel;
    LabelDelphi: TLabel;
    Panel1: TPanel;
    LabelUsing: TLabel;
    Image1: TImage;
    LabelVersion: TLabel;
    LabelAbout2: TLabel;
    LabelHome: TLabel;
    LabelSourceforge: TLabel;
    LabelNewsgroup: TLabel;
    LabelEmail: TLabel;
    Label1link: TLabel;
    Label2link: TLabel;
    Label3link: TLabel;
    Label4Link: TLabel;
    OKButton: TButton;

    procedure FormCreate(Sender: TObject);
    procedure LinkButtonClick(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
  end;

var  AboutForm: TAboutForm;

//*********************************************************
implementation

uses  MMSystem, ShellApi, SysUtils, Gr32;

{$R *.DFM}

//*********************************************************
// return delphi version
//---------------------------------------------------------
function DelphiVersion: string;
begin
  result := '?.?';
  {$ifdef VER160}  result := '8.0';  {$endif}
  {$ifdef VER150}  result := '7.0';  {$endif}
  {$ifdef VER140}  result := '6.0';  {$endif}
  {$ifdef VER130}  result := '5.0';  {$endif}
  {$ifdef VER120}  result := '4.0';  {$endif}
  {$ifdef VER100}  result := '3.0';  {$endif}
  {$ifdef VER90}   result := '2.0';  {$endif}
  {$ifdef VER80}   result := '1.0';  {$endif}
end;
//*********************************************************
// return own program name
//---------------------------------------------------------
function ProgramName: String;
begin
  result := ParamStr(0);
  while pos('\', result) > 0
  do result := Copy (result, pos('\', result)+1, 255);
end;
//*********************************************************
// execute internet link
// input:      link address
//---------------------------------------------------------
procedure RunLink (link: string);
begin
  ShellExecute(0, Nil, PAnsiChar(link), Nil, Nil, SW_NORMAL);
end;
//*********************************************************
procedure TAboutForm.FormCreate(Sender: TObject);
begin
  LabelDelphi.caption := 'compiled with Delphi ' + DelphiVersion;
  LabelVersion.caption := GR32.Graphics32Version;
  LabelAboutTitle.caption := ProgramName;
end;
//*********************************************************
const gr32Links: array [0..3] of string
  = ('http://sf.net/projects/graphics32'#0
    ,'http://graphics32.org/wiki/'#0
    ,'mailto:team@graphics32.org'#0
    ,'news://news.g32.org/g32org.public.graphics32'#0);
//*********************************************************
// try to connect to graphics32 link
//---------------------------------------------------------
procedure TAboutForm.LinkButtonClick(Sender: TObject);
begin
  RunLink (gr32Links[tButton(sender).tag]);
end;
//*********************************************************
procedure TAboutForm.OKButtonClick(Sender: TObject);
begin
  Close;
end;

end.

